summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorLukas18182020-12-21 13:51:09 +0100
committerLukas18182020-12-21 13:51:09 +0100
commit3160ac9d80fed6d606536704cd95f9c3c4d077f9 (patch)
treeaec9541643fb7e2316136da46383550d32631454 /PKGBUILD
parent74ecb4709e238180f308db40215d8317281a73a2 (diff)
downloadaur-3160ac9d80fed6d606536704cd95f9c3c4d077f9.tar.gz
catch lgogdownloader exitcode 141; add groups
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD6
1 files changed, 5 insertions, 1 deletions
diff --git a/PKGBUILD b/PKGBUILD
index c9a31921ff7..8caa80d61ff 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -8,6 +8,7 @@ pkgdesc="A strategy game with space exploration at its core"
arch=('x86_64')
url="https://www.gog.com/game/stellaris"
license=('custom')
+groups=('gog' 'games')
makedepends=('unzip' 'findutils' 'lgogdownloader')
optdepends=("gog-stellaris-anniversary-portraits=$pkgver" "gog-stellaris-horizon-signal=$pkgver")
depends=('bash' 'sed' 'glibc' 'libx11' 'libglvnd' 'gcc-libs')
@@ -18,7 +19,10 @@ sha512sums=('6ae63f25395fc08d2aeb61763cac7d995f92a9b85d9c6ce3ffc8de6657a82ce91b4
'adb27526719b22f71211cd0398f1323a3821821f12fd6998f592eb5e31c0891234f2505e7eb0b685588116b305aaf33b78670539b26440744befc351b4776827'
'909ba5ce65d6906f7357ad12f5f9cf3a2c81c15bd6414298b91616236754c1d4bff32f0ab0f83f6449e8c6adda669351ce23fbdd80c1366b6d36c862c6435603')
-DLAGENTS+=('gogdownloader::/usr/bin/lgogdownloader --download-file=%u -o %o')
+#lgogdownloader exit always with 141 after a successful download of some games
+# || test $? -eq 141 and /usr/bin/bash -c does not work in DLAGENTS, use a script instead
+#https://stackoverflow.com/questions/65149855/add-a-makepkg-dlagent-which-accept-a-non-zero-exit-code
+DLAGENTS+=("gogdownloader::./catch_gogdownloader_error141.sh %u %o")
prepare()
{